Subject: Re: bug#23292: 24.5; Combining characters do not reliably combine

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Apr 2016 09:53:33 +0300

[Please keep the bug address on the CC list.]

> Date: Thu, 14 Apr 2016 17:30:01 -0400
> From: Honore Doktorr <[email-masked]>
> 
> > Was your Emacs built with libotf and other libraries mentioned in
> > INSTALL under "Complex Text Layout"?
> >
> > When I arrange for Emacs to use a font that supports both 'o' and the
> > solidus, the sequence you show does display as a single glyph. (My
> > default font doesn't have the solidus, so I need that special
> > arrangement.)
> >
> > The fact that Emacs displays a cursor on both of the characters
> > clearly shows that Emacs did combine them, but the font and/or the
> > shaping engine didn't display them overlaid. Not sure why, perhaps
> > upgrade your libotf and related libraries?
> 
> Yes, it looks like with the latest upstream versions of the complex text libraries/db:
> 
> $ ldd /usr/bin/emacs |egrep 'lib(otf|m17n-flt)'
> libotf.so.0 => /lib64/libotf.so.0 (0x00007f6cd2a05000)
> libm17n-flt.so.0 => /lib64/libm17n-flt.so.0 (0x00007f6cd25cc000)
> $ dnf -C list libotf m17n-lib m17n-db
> Last metadata expiration check: 0:12:20 ago on Thu Apr 14 17:09:12 2016.
> Installed Packages
> libotf.x86_64 0.9.13-6.fc23 @@commandline
> m17n-db.noarch 1.7.0-5.fc23 @@commandline
> m17n-lib.x86_64 1.7.0-4.fc23 @@commandline
> 
> I'm using the fedora 23 precompiled packages.

Does anyone else see this with DejaVu Sans Mono?